=== debian/changelog ===
basilisk2 (0.9.20120331-4) unstable; urgency=low

  [ Giulio Paci ]
  * Simplify patch 0002_fix_compilation_on_armel.patch.
  * Update copyright file: Drop patch file Files sections.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.

  [ Stephen Kitt ]
  * Add myself to uploaders at Jonas' invitation.
  * Build with gcc 5. Closes: #798767.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Sep 2015 20:52:48 +0200

basilisk2 (0.9.20120331-3) unstable; urgency=low

  [ Giulio Paci ]
  * Fix compilation on arm architectures.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Aug 2012 16:19:41 +0200

basilisk2 (0.9.20120331-2) unstable; urgency=low

  [ Giulio Paci ]
  * Check installed binaries before installing alternatives in postinst.
  * Remove manpages file.
  * Do not install jit flavour binary by default.
  * Update rules with conditional installation of jit flavour files.
  * Fix compilation on kfreebsd architectures.

  [ Jonas Smedegaard ]
  * Really add Jérémy Lal as uploader and permit Debian Maintainers to
    upload.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 23:17:58 +0200

basilisk2 (0.9.20120331-1) unstable; urgency=low

  * Upstream update

  [ Jonas Smedegaard ]
  * Drop local CDBS snippets: All included in main cdbs now.
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.
    Stop build-depending on quilt, patchutils.
  * Add full licensing header to debian/rules, and update copyright
    years.
  * Add README.source (and drop outdated README.cdbs-tweaks).
  * Refresh patches with shortening quilt options --no-index
    --no-timestamps -pab, and fix their path prefix.
  * Rewrite copyright file using draft DEP-5 format.
  * Update control file Vcs-* fields: Packaging moved to Git.
  * Ease building with git-buildpackage:
    + Add gbp.conf, enabling pristine-tar and tag signing.
    + Git-ignore quilt .pc dir.
  * Bump debhelper compat level to 7.
  * Update Vcs-Browser field to use anonscm.debian.org.
  * Add Giulio Paci and Jérémy Lal as uploaders, and permit Debian
    Maintainers to upload.

  [ Jérémy Lal ]
  * Drop patch 1002 to fix capitalized flag: corrected upstream.

  [ Giulio Paci ]
  * Restart package development.
    Closes: #662175.
  * Add patches to fix compilation and documentation.
  * Provide JIT flavor on supported architectures (i386 and amd64).
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Adjust licenses now clarified/improved upstream.
  * Update ChangeLog.cvs.
  * Enable CDBS autogeneration of autotools files.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 May 2012 02:08:30 +0200

basilisk2 (0.9.20070407-4) unstable; urgency=low

  * Update copyright-check cdbs snippet to parse licensecheck using perl:
    + No longer randomly drops newlines
    + More compact hint file (and ordered more like wiki-proposed new copyright
      syntax).
    + No longer ignore files without copyright.
  * Update copyright_hints.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Mar 2008 19:33:01 +0100

basilisk2 (0.9.20070407-3) unstable; urgency=low

  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Rewrite debian/copyright to conform to proposed new format at
    http://wiki.debian.org/Proposals/CopyrightFormat .
  * Update local cdbs snippets:
    + Major improvements to update-tarball (but none of them affect this
      current package).
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop bts.mk (we are happy to receive bugreports also for unofficial
      rebuilds of this package, and by accident it wasn't enabled anyway).
    + Drop buildcore.mk override.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL directly
      instead when needed.
    + Update debian/README.cdbs-tweaks to no longer mention buildcore.mk
      override.
  * Improve duplicate build-dependency cleanup in debian/rules.
  * Change section definition in menu file: Apps -> Applications.
  * Bump up standards-version to 3.7.2 (no additional changes needed).
  * Bump dephelper compatibility level to 5.
  * Semi-auto-update debian/control to update build-dependencies:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Feb 2008 22:11:48 +0100

basilisk2 (0.9.20070407-2) unstable; urgency=low

  * Add patch to (hopefully) build also on architectures without sigsegv
    recovery support.
  * Add local cdbs snippet upstream-tarball.mk (in preparation for
    upstream perhaps actually releasing their code as tarball some day).
  * Resolve all build-dependencies using cdbs, and cleanup duplicates.
  * Properly avoid installing tunconfig twice (we want it as example
    script only).
  * Quote only copyrights and licenses in debian/copyright (not GPL
    addresses that lintian complains about).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 May 2007 19:12:50 +0200

basilisk2 (0.9.20070407-1) unstable; urgency=low

  * New upstream CVS snapshot.
    + Bugfixes and improvements for 64bit host archs.
  * Update watch file to use (not so) new upstream homepage.
  * Update local cdbs snippets:
    + Silence BTS redirections for official Debian suites.
    + Overload buildcore.mk (instead of a separately named rule) to
      conditionally enable auto-update.
    + Check copyrights in prebuild (in clean it may choke on not yet
      cleaned stuff), and make sure it runs only once.
    + List non-binary files affected if discovering new copyrights.
    + Fix buildinfo rule to only run once.
    + Include (in source only) documentation for the snippets in

