=== debian/control ===
Source: basilisk2
Section: contrib/otherosfs
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Giulio Paci <giuliopaci@gmail.com>,
 Jérémy Lal <kapouer@melix.org>,
 Stephen Kitt <skitt@debian.org>
DM-Upload-Allowed: yes
Build-Depends: cdbs,
 autotools-dev,
 devscripts,
 automake1.11,
 autoconf,
 debhelper,
 dh-buildinfo,
 libgtk2.0-dev,
 libesd0-dev,
 libsdl-dev,
 libxxf86dga-dev,
 libxxf86vm-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/basilisk2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/basilisk2.git
Homepage: http://basilisk.cebix.net/

Package: basilisk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 68k Macintosh emulator
 Basilisk II is an Open Source 68k Macintosh emulator. That is, it enables
 you to run 68k MacOS software on you computer, even if you are using a
 different operating system. However, you still need a copy of MacOS and
 a Macintosh ROM image to use Basilisk II.
 .
 Some features of Basilisk II:
  - Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5)
    or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1),
    depending on the ROM being used
  - Color video display
  - CD quality sound output
  - Floppy disk driver (only 1.44MB disks supported)
  - Driver for HFS partitions and hardfiles
  - CD-ROM driver with basic audio functions
  - Easy file exchange with the host OS via a "Host Directory Tree" icon
    on the Mac desktop
  - Ethernet driver
  - Serial drivers
  - SCSI Manager (old-style) emulation
  - Emulates extended ADB keyboard and 3-button mouse
  - Uses UAE 68k emulation or (under AmigaOS and NetBSD/m68k) real 68k
    processor
