=== debian/changelog ===
basilisk2 (0.9.20180101-1) unstable; urgency=medium

  * New upstream snapshot, merging all patches.
  * Install a desktop file and icon; thanks to Gabriel Ruiz for the
    initial patch! This also replaces the menu. Closes: #512895.
    LP: #309913.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 May 2018 23:19:33 +0200

basilisk2 (0.9.20120331-5) unstable; urgency=medium

  * Migrate to Salsa.
  * Update debian/copyright.
  * Refresh debian/control using cdbs, updating the build dependencies.
  * Drop obsolete “DM-Upload-Allowed”.
  * Document the use of full paths in postinst.
  * Build with debug information.
  * Override Lintian’s warning about the missing command in the menu (it’s
    an alternative).

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 May 2018 19:45:32 +0200

basilisk2 (0.9.20120331-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on armel/armhf/mips* by using ucontext_t instead
    of the removed struct ucontext. (Closes: #865172)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jan 2018 20:56:21 +0200

basilisk2 (0.9.20120331-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build without support for the obsolete esound. (Closes: #856075)
  * Use automake instead of automake1.11. (Closes: #865145)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Jan 2018 21:36:30 +0200
