=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Uploaders: Giulio Paci <giuliopaci@gmail.com>,
  Jérémy Lal <kapouer@melix.org>,
  Stephen Kitt <skitt@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.123~),
  autotools-dev,
- devscripts,
- automake1.11,
+ licensecheck,
+ automake,
  autoconf,
  debhelper,
  dh-buildinfo,
  libgtk2.0-dev,
- libesd0-dev,
  libsdl-dev,
+ libtinyxml2-dev,
  libxxf86dga-dev,
  libxxf86vm-dev
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/basilisk2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/basilisk2.git
+Vcs-Git: https://salsa.debian.org/debian/basilisk2.git
+Vcs-Browser: https://salsa.debian.org/debian/basilisk2
 Homepage: http://basilisk.cebix.net/
 
 Package: basilisk2
