=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 # add JIT compiler when supported
 DEB_MAKE_FLAVORS += $(if $(filter amd64 i386,$(DEB_HOST_ARCH)),jit)
 
-DEB_AUTO_UPDATE_ACLOCAL = 1.11
+DEB_AUTO_UPDATE_ACLOCAL = ,
 DEB_ACLOCAL_ARGS = -I m4
 DEB_AUTO_UPDATE_AUTOHEADER = 2.68
 DEB_AUTO_UPDATE_AUTOCONF = 2.68
@@ -59,17 +59,21 @@
 DEB_INSTALL_MANPAGES_ALL = debian/tmp-nojit/usr/share/man/man1/BasiliskII-nojit.1
 # Add jit flavour files when compiled
 DEB_INSTALL_MANPAGES_ALL += $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/share/man/man1/BasiliskII-jit.1)
-DEB_DH_INSTALL_ARGS = $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/bin/BasiliskII-jit usr/bin)
+DEB_DH_INSTALL_ARGS_ALL = $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/bin/BasiliskII-jit usr/bin)
 
 DEB_INSTALL_EXAMPLES_basilisk2 = $(DEB_SRCDIR)/Linux/* $(DEB_SRCDIR)/tunconfig
+
+binary-install/basilisk2::
+	dh_install debian/basilisk2.desktop usr/share/applications
+	dh_install debian/basilisk2.xpm usr/share/pixmaps
 
 # tunconfig will be installed as example file only
 binary-post-install/basilisk2::
 	rm -f debian/$(cdbs_curpkg)/usr/share/BasiliskII/tunconfig
 
 clean::
-	rm -fr $(DEB_MAKE_FLAVORS:%=debian/tmp-%)
-	rm -f  src/Unix/aclocal.m4 src/Unix/config.h.in src/Unix/configure
+	rm -fr $(DEB_MAKE_FLAVORS:%=debian/tmp-%) build
+	rm -f  src/Unix/aclocal.m4 src/Unix/config.h.in src/Unix/configure src/Unix/tinyxml2.*
 
 # Needed by upstream build process
-CDBS_BUILD_DEPENDS += , libgtk2.0-dev, libesd0-dev, libsdl-dev, libxxf86dga-dev, libxxf86vm-dev
+CDBS_BUILD_DEPENDS += , libgtk2.0-dev, libsdl-dev, libtinyxml2-dev, libxxf86dga-dev, libxxf86vm-dev
