=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
opts="uversionmangle=s/^(\d{2})(\d{2})(\d{4})$/0.9.$3$2$1/" \
	http://basilisk.cebix.net/ (?:.*/)?BasiliskII_src_(.*).tar.gz
