=== debian/changelog ===
basilisk2 (0.9.20220710-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  * fix watch file syntax
  * update copyright info:
    + update paths
    + update coverage
    + bump license for packaging to GPL-3+
    + extend lintian overrides
  * update source helper tool copyright-check
  * update build rules: update paths
  * update patch:
    + rename to match patch naming micro-policy
    + update paths; update DEP-3 headers
  * build-depend on libvdeplug-dev
  * use SDL 2 (not 1.2);
    build-depend on libsdl2-dev
    (not libsdl1.2-compat-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 17:17:08 +0100

basilisk2 (0.9.20180101-2) unstable; urgency=medium

  [ Debian Janitor ]
  * use secure URI in Homepage field
  * use debhelper compatibility level 10
  * set upstream metadata fields:
    Bug-Database Bug-Submit

  [ Jonas Smedegaard ]
  * update watch file:
    + track GitHub source, in git mode
    + use file format 4
    + mention gbp --uscan in usage comment
    + use substitution strings
  * update copyright info:
    + use GitHub source URI
    + use license SPDX shortnames AML HPND-sell-variant
    + list licenses
      BSD-2-clause~Gasparovski BSD-3-clause~Regents Stas_Khirman
    + clarify GPL licensing,
      and merge identically licensed upstream files sections
    + use fields License-Grant Reference
    + sort copyright holders, and merge duplicates
  * simplify rules;
    stop build-depend on licensecheck dh-buildinfo
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * regenerate upstream changelog,
    and rename as ChangeLog.git;
    add source helper tool ChangeLog.git-redo
  * update lintian overrides
  * build-depend on libsdl1.2-compat-dev (not libsdl-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 14:07:31 +0100
