=== debian/control ===
--- 
+++ 
@@ -7,20 +7,19 @@
  Stephen Kitt <skitt@debian.org>
 Build-Depends: cdbs (>= 0.4.123~),
  autotools-dev,
- licensecheck,
  automake,
  autoconf,
- debhelper,
- dh-buildinfo,
+ debhelper (>= 10~),
  libgtk2.0-dev,
- libsdl-dev,
+ libsdl2-dev,
  libtinyxml2-dev,
  libxxf86dga-dev,
- libxxf86vm-dev
+ libxxf86vm-dev,
+ libvdeplug-dev,
 Standards-Version: 3.9.3
 Vcs-Git: https://salsa.debian.org/debian/basilisk2.git
 Vcs-Browser: https://salsa.debian.org/debian/basilisk2
-Homepage: http://basilisk.cebix.net/
+Homepage: https://basilisk.cebix.net/
 
 Package: basilisk2
 Architecture: any
