## basilisk2 0.9.20230516

=== debian/changelog ===
basilisk2 (0.9.20230516-2) unstable; urgency=medium

  * Build-depend on libmpfr-dev on ARM, it’s required there.

 -- Stephen Kitt <skitt@debian.org>  Sun, 16 Jul 2023 23:11:47 +0200

basilisk2 (0.9.20230516-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file and copyright info: switch to kanjitalk755 fork
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jun 2023 16:09:47 +0200
